package example.ejb;

import example.entity.UserCredential;
import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;


@Singleton @Startup
public class SingletonEJB {

  @PersistenceContext EntityManager em;  
  
  
  @PostConstruct public void setup(){
    UserCredential credential = new UserCredential("name", "password");
    em.persist(credential);
    //Simpulate exception
	UserCredential credential1 = new UserCredential("name", "password");
    em.persist(credential1);

	}
  
}
